<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="4853abfa-c2dd-4e49-98f0-b67b5271ac4b" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="1" />
  </component>
  <component name="ProjectId" id="1fnJCejQcLJbP8VwkHVnPxHF896" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RunManager" selected="Application.IndexOfOopsUsingSwitch">
    <configuration name="IndexForOops" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="oops.IndexForOops" />
      <module name="oops" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="oops.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="IndexOfOopsUsingSwitch" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="oops.IndexOfOopsUsingSwitch" />
      <module name="oops" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="oops.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.IndexOfOopsUsingSwitch" />
        <item itemvalue="Application.IndexForOops" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4853abfa-c2dd-4e49-98f0-b67b5271ac4b" name="Default Changelist" comment="" />
      <created>1596847798880</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1596847798880</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="463" y="119" key="FileChooserDialogImpl" timestamp="1596848735440">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="463" y="119" key="FileChooserDialogImpl/0.0.1366.728@0.0.1366.728" timestamp="1596848735440" />
    <state width="1323" height="2" key="GridCell.Tab.0.bottom" timestamp="1596848737286">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="2" key="GridCell.Tab.0.bottom/0.0.1366.728@0.0.1366.728" timestamp="1596848737286" />
    <state width="1323" height="2" key="GridCell.Tab.0.center" timestamp="1596848737286">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="2" key="GridCell.Tab.0.center/0.0.1366.728@0.0.1366.728" timestamp="1596848737286" />
    <state width="1323" height="2" key="GridCell.Tab.0.left" timestamp="1596848737286">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="2" key="GridCell.Tab.0.left/0.0.1366.728@0.0.1366.728" timestamp="1596848737286" />
    <state width="1323" height="2" key="GridCell.Tab.0.right" timestamp="1596848737286">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="2" key="GridCell.Tab.0.right/0.0.1366.728@0.0.1366.728" timestamp="1596848737286" />
  </component>
</project>